## org.springframework.jndi
Class JndiTemplateEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.jndi.JndiTemplateEditor

All Implemented Interfaces:
  PropertyEditor

    public class JndiTemplateEditor

extends PropertyEditorSupport

Properties editor for JndiTemplate objects. Allows properties of type JndiTemplate to be populated with a properties-format string.

Since:
  09.05.2003
Author:
  Rod Johnson

Constructor Summary
`JndiTemplateEditor()`

Method Summary
`void` `setAsText(String text)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiTemplateEditor

    public JndiTemplateEditor()

Method Detail

### setAsText

    public void setAsText(String text)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`